#
# spec file for package fillup (Version 1.42)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild   linuxdoc-tools

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib chkconfig cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam  patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool  perl rpm linuxdoc-tools suse-macros

Name:         fillup
License:      GPL
Group:        System/Base
Provides:     aaa_base:/bin/fillup
PreReq:       %install_info_prereq
Autoreqprov:  on
Version:      1.42
Release:      98.1
Summary:      Tool for merging config files
Source:       fillup-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define fillup_info_entry * fillup: (fillup) fillup. SuSE-fillup-tool.

%description
fillup merges files that hold variables.  A variable is defined by an
entity composed of a preceding comment, a variable name, an assignment
delimiter, and a related variable value.  A variable is determined by
its variable name.



Authors:
--------
    Joerg Dippel <jd@suse.de>

%prep
%setup

%build
make clean
make compile
make test
cd SGML
make all

%install
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
#
# install fillup
#
install -d -m 755 $RPM_BUILD_ROOT/bin
install -s -m 755 TEST/fillup $RPM_BUILD_ROOT/bin
install -d $RPM_BUILD_ROOT/%{_infodir}
install -d $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 SGML/fillup.info.gz $RPM_BUILD_ROOT/%{_infodir}
install -m 644 SGML/fillup.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8

%post
%install_info --entry="%{fillup_info_entry}" --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --entry="%{fillup_info_entry}" --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc SGML/fillup.txt
/bin/fillup
%{_infodir}/fillup.info.*
%{_mandir}/man8/fillup*

%changelog -n fillup
* Fri Mar 09 2007 - wenji.huang@oracle.com
- fit spec to rhel/el
* Mon Mar 01 2004 - ro@suse.de
- fix install_info stuff in postun
* Mon Oct 20 2003 - ro@suse.de
- use defattr
- don't build as root
* Thu Sep 11 2003 - ro@suse.de
- update to 1.42 (#30279)
* Mon Aug 25 2003 - ro@suse.de
- update to 1.41
- additional Keyword: PreSaveCommand
* Thu Aug 14 2003 - ro@suse.de
- update to 1.38 with additional MetaData keywords
* Mon Jun 16 2003 - kukuk@suse.de
- Remove /var/adm/fillup-templates, already in filesystem package
* Wed Mar 12 2003 - ro@suse.de
- update to 1.24 including the last two patches and
  more testcases for "make check"
* Wed Mar 12 2003 - ro@suse.de
- switch behaviour to "fixed sequence of metadata" (#25119)
* Sun Mar 09 2003 - ro@suse.de
- fix watchdog for removal part (factor 2 needed)
  (fix for reopened #24648)
* Thu Mar 06 2003 - ro@suse.de
- update to 1.22 (avoid possible infinite loop on failure) (#24648)
* Thu Mar 06 2003 - ro@suse.de
- fix for stale comment when removing variable (#24540)
* Wed Feb 19 2003 - ro@suse.de
- update to 1.21
- works around problem with comments wrongly typed as metadata
* Thu Feb 06 2003 - ro@suse.de
- added install-info macros
* Thu Nov 28 2002 - ro@suse.de
- update to 1.20 beta (aka prototype)
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
* Mon Aug 12 2002 - ro@suse.de
- split off aaa_base
